## CORBA Interface IResultPackageViewerEntry

Describes the available result package viewer entry component actions.

### Definition

CORBA Module SAS

### IResultPackageViewerEntry Description

This component facilitates result package viewer entry manipulation. You may obtain attributes associated with the viewer entry, retrieve the viewer associated with the viewer entry, retrieve the applied viewer, or create the file associated with the viewer entry.

CORBA Definitions
attribute ResultPackage | The parent of this component.
attribute Index | Index of viewer entry within containing result package.
attribute Description | Viewer entry description.
attribute NameValues | Viewer entry name/value pairs.
attribute MIMEType | Viewer entry MIME type.
attribute Encoding | The viewer entry encoding.
method GetNameValuePairs | Viewer entry parsed name/value pairs.
method GetViewerDependencies | Viewer entry package entry dependencies.
method OpenViewer | Open the viewer source.
method OpenAppliedViewer | Open the file containing the viewer applied to a package.

Java Classes
IResultPackageViewerEntryHelper | Used to manipulate the IResultPackageViewerEntry type
IResultPackageViewerEntryHolder | Used to process the IResultPackageViewerEntry type as an out parameter

Java Interfaces
IResultPackageViewerEntry | Describes the available result package viewer entry component actions.

Java Interface IResultPackageViewerEntry

Describes the available result package viewer entry component actions.

Package com.sas.iom.SAS

IResultPackageViewerEntry Description
This component facilitates result package viewer entry manipulation. You may obtain attributes associated with the viewer entry, retrieve the viewer associated with the viewer entry, retrieve the applied viewer, or create the file associated with the viewer entry.

`public interface IResultPackageViewerEntry
extends org.omg.CORBA.Object`

Method Summary

void | GetNameValuePairs ( VariableArray2dOfStringHolder nvPairs ) throws ( GenericError ); Viewer entry parsed name/value pairs.
void | GetViewerDependencies ( PackageTypeSeqHolder entryType , StringSeqHolder viewerDependency ) throws ( GenericError ); Viewer entry package entry dependencies.
Object | OpenViewer ( int maxLineLength , java.lang.String callerEncoding ) throws ( GenericError ); Open the viewer source.
Object | OpenAppliedViewer ( int maxLineLength , java.lang.String callerEncoding ) throws ( GenericError ); Open the file containing the viewer applied to a package.

Java Class IResultPackageViewerEntryHelper

public class IResultPackageViewerEntryHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageViewerEntry type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageViewerEntryHelper

Java Class IResultPackageViewerEntryHolder

public class IResultPackageViewerEntryHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageViewerEntry type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageViewerEntryHolder

CORBA Attribute ResultPackage (readonly)

The parent of this component.

Description
Use this attribute to navigate back to the ResultPackage component which is the parent of this component.

Usage

Java Method ResultPackage

    public IResultPackage ResultPackage ();

CORBA Attribute Index (readonly)

Index of viewer entry within containing result package.

Description
Identifies which result package entry corresponds to this component.

Usage

Java Method Index

    public int Index ();

CORBA Attribute Description (readonly)

Viewer entry description.

Description
Use this attribute to obtain the description associated with this viewer entry. The description is assigned when the viewer entry is created.

Usage

Java Method Description

    public java.lang.String Description ();

CORBA Attribute NameValues (readonly)

Viewer entry name/value pairs.

Description
Use this attribute to obtain the name/value pairs associated with this viewer entry. The name/value pairs are assigned when the viewer entry is created.

Usage

Java Method NameValues

    public java.lang.String NameValues ();

CORBA Attribute MIMEType (readonly)

Viewer entry MIME type.

Description
Use this attribute to obtain the MIME type associated with this viewer entry. The MIME type is assigned when the viewer entry is created.

Usage

Java Method MIMEType

    public java.lang.String MIMEType ();

CORBA Attribute Encoding (readonly)

The viewer entry encoding.

Description
Use this attribute to obtain the encoding of the data as it exists in the viewer stream, before reading or writing.

Usage
Recoding should only be used for text data that is being transferred with the binary stream. It is specifically provided to transfer HTML where a "meta charset" tag is used.

Java Method Encoding

    public java.lang.String Encoding ();

CORBA Method GetNameValuePairs

Viewer entry parsed name/value pairs.

Description
Call this method to return a two dimensional string array containing the parsed name/value pairs.

Usage

Java Method GetNameValuePairs

`void` GetNameValuePairs (

        VariableArray2dOfStringHolder nvPairs
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
nvPairs | out | VariableArray2dOfStringHolder | A two dimensional string array containing the parsed name/value pairs. The two dimensional string array is populated in the following manner:
       For the NameValues: "name1 name2=a name3=(b,c)"
       GetNameValuePairs would return:
                     Column 0   Column 1
            Row 0    "name1"
            Row 1    "name2"    "a"
            Row 2    "name3"    "b"
            Row 3               "c"

Example

CORBA Method GetViewerDependencies

Viewer entry package entry dependencies.

Description
Call this method to obtain a single dimensional string array containing the names of the resolved viewer dependencies. The names are used as result package entry identifiers by the GetDependency method.

Usage

Java Method GetViewerDependencies

`void` GetViewerDependencies (

        PackageTypeSeqHolder entryType ,
        StringSeqHolder viewerDependency
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
entryType | out | PackageTypeSeqHolder | A single dimensional array containing the PackageType constant identifying the entry type.
viewerDependency | out | StringSeqHolder | A single dimensional string array containing the resolved viewer dependency names. To access a dependency, pass the viewer dependency name as the GetDependency::viewerDependency parameter.

Example

CORBA Method OpenViewer

Open the viewer source.

Description
Call this method to open the viewer source file associated with this viewer entry.

Usage

Java Method OpenViewer

`Object` OpenViewer (

        int maxLineLength ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
maxLineLength | in | int | The maximum length of any line that will be in the file. This is only applicable to text files. Binary files ignore this parameter. This is typically set to some larger value than is actually used. If a huge number is specified, some hosts will adjust this down to a more reasonable value. This value can be obtained from TruncationLength. Lines longer than this specified maxLineLength will be truncated.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read.

Example

CORBA Method OpenAppliedViewer

Open the file containing the viewer applied to a package.

Description
Call this method to open the applied viewer result file associated with this viewer entry.

Usage

Java Method OpenAppliedViewer

`Object` OpenAppliedViewer (

        int maxLineLength ,
        java.lang.String callerEncoding
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
maxLineLength | in | int | The maximum length of any line that will be in the file. This is only applicable to text files. Binary files ignore this parameter. This is typically set to some larger value than is actually used. If a huge number is specified, some hosts will adjust this down to a more reasonable value. This value can be obtained from TruncationLength. Lines longer than this specified maxLineLength will be truncated.
callerEncoding | in | java.lang.String | Encoding of the data desired by the caller in a read.

Example